<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'superrobota',

    /*
     * Package.
     */
    'package'   => 'point',

    /*
     * Modules.
     */
    'modules'   => ['point'],

    
    'point'       => [
        'model' => [
            'model'                 => \Superrobota\Point\Models\Point::class,
            'table'                 => 'points',
            'presenter'             => \Superrobota\Point\Repositories\Presenter\PointPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['client_id',  'quantity',  'expiry_date'],
            'translatables'         => [],
            'upload_folder'         => 'point/point',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Point',
            'module'    => 'Point',
        ],

    ],
];
