<?php

namespace Superrobota\Point;

use User;

class Point
{
    /**
     * $point object.
     */
    protected $point;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Point\Interfaces\PointRepositoryInterface $point)
    {
        $this->point = $point;
    }

    /**
     * Returns count of point.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.point.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->point->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\PointUserCriteria());
        }

        $point = $this->point->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('point::' . $view, compact('point'))->render();
    }
}
