<?php

namespace Superrobota\Point\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PointTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Point\Models\Point $point)
    {
        return [
            'id'                => $point->getRouteKey(),
            'key'               => [
                'public'    => $point->getPublicKey(),
                'route'     => $point->getRouteKey(),
            ], 
            'client_id'         => $point->client_id,
            'quantity'          => $point->quantity,
            'expiry_date'       => $point->expiry_date,
            'url'               => [
                'public'    => trans_url('point/'.$point->getPublicKey()),
                'user'      => guard_url('point/point/'.$point->getRouteKey()),
            ], 
            'status'            => trans('app.'.$point->status),
            'created_at'        => format_date($point->created_at),
            'updated_at'        => format_date($point->updated_at),
        ];
    }
}